// @ts-ignore
/* eslint-disable */

// 该文件自动生成，请勿手动修改！

// --------------------------------------------------------------------------
// 高中模拟划线成绩管理服务
// --------------------------------------------------------------------------

import { request } from '@umijs/max';

/** 上传成绩（仅原始分，适用于五区联考或本区独立赋分） POST /api/ncee/score/upload-only-raw-score */
export async function uploadOnlyRawScore(data: FormData, options?: { [key: string]: any }) {
    const url = '/api/ncee/score/upload-only-raw-score';
    const config = { method: 'POST', data, ...(options || {}) };
    const res = await request<API.ResponseType<any>>(url, config);
    return res?.data;
}

/** 上传成绩（带转换分和等级，适用于六校联考） POST /api/ncee/score/upload-with-convert-score */
export async function uploadWithConvertScore(data: FormData, options?: { [key: string]: any }) {
    const url = '/api/ncee/score/upload-with-convert-score';
    const config = { method: 'POST', data, ...(options || {}) };
    const res = await request<API.ResponseType<any>>(url, config);
    return res?.data;
}

/** 上传未选科原始成绩（适用于高一未选科） POST /api/ncee/score/upload-no-direction-course */
export async function uploadNoDirectionCourse(data: FormData, options?: { [key: string]: any }) {
    const url = '/api/ncee/score/upload-no-direction-course';
    const config = { method: 'POST', data, ...(options || {}) };
    const res = await request<API.ResponseType<any>>(url, config);
    return res?.data;
}

/** 执行模拟划线 POST /api/ncee/score/execute */
export async function execute(
    params: {
        /**  */
        nceeplanid: number;
    },
    options?: { [key: string]: any },
) {
    const url = '/api/ncee/score/execute';
    const config = { method: 'POST', params, ...(options || {}) };
    const res = await request<API.ResponseType<any>>(url, config);
    return res?.data;
}

export default {
    /** 上传成绩（仅原始分，适用于五区联考或本区独立赋分） POST /api/ncee/score/upload-only-raw-score */
    uploadOnlyRawScore,
    /** 上传成绩（带转换分和等级，适用于六校联考） POST /api/ncee/score/upload-with-convert-score */
    uploadWithConvertScore,
    /** 上传未选科原始成绩（适用于高一未选科） POST /api/ncee/score/upload-no-direction-course */
    uploadNoDirectionCourse,
    /** 执行模拟划线 POST /api/ncee/score/execute */
    execute,
};
